from datetime import date

from django import template
from django.core.urlresolvers import resolve, Resolver404

from RateYourLife import views as views_pattern


register = template.Library()


@register.simple_tag
def active_page(request, view_name):
    if not request:
        return ""
    try:
        return "active" if resolve(request.path_info).url_name.startswith(view_name) else ""
    except Resolver404:
        return ""


@register.assignment_tag
def today_day_string_short():
    return date.today().strftime(views_pattern.DAY_SHORT_PATTERN)