from django.conf.urls import patterns, url

from RateYourLife import views, ajax

urlpatterns = patterns('',

                       # RateYourLife/
                       url(r'^$', views.home, name='home'),

                       # RateYourLife/day/20150101/
                       url(r'^day/(\d{8})/?$', views.day, name='day'),

                       # RateYourLife/m/day/20150101/
                       url(r'^m/day/(\d{8})/?$', views.day_mobile, name='day_mobile'),

                       # RateYourLife/m/day/20150101/vote/
                       url(r'^m/day/(\d{8})/vote/?$', views.vote_on_mobile, name='vote_on_mobile'),

                       # RateYourLife/day/20150101/vote/
                       url(r'^day/(\d{8})/vote/?$', ajax.vote_on_day, name='vote_on_day'),

                       # RateYourLife/day/20150101/vote/value
                       url(r'^day/(\d{8})/vote/value/?$', ajax.get_day_vote, name='get_day_vote'),

                       # RateYourLife/day/20150101/work/
                       url(r'^day/(\d{8})/([\w\s]+)/?$', ajax.add_day_tag, name='add_day_tag'),

                       # RateYourLife/calendarEvents/201501/
                       url(r'calendarEvents/(\d{6})?/?$', ajax.calendar_events_source, name='calendar_events_source'),

                       # RateYourLife/tag/
                       url(r'^tag/?$', views.TagList.as_view(), name='tag_list'),

                       # RateYourLife/tag/create/
                       url(r'^tag/create/?$', views.TagCreate.as_view(), name='tag_create'),

                       # RateYourLife/tag/2/
                       url(r'^tag/(?P<pk>\d+)/?$', views.TagDetail.as_view(), name='tag_detail'),

                       # RateYourLife/tag/2/delete/
                       url(r'^tag/(?P<pk>\d+)/delete/?$', views.TagDelete.as_view(), name='tag_delete'),

                       # RateYourLife/tag/2/update/
                       url(r'^tag/(?P<pk>\d+)/update/?$', views.TagUpdate.as_view(), name='tag_update'),
)